## eucalyptus 2.0.1+bzr1256

=== Makefile ===
# top-level Eucalyptus makefile
#
#

include Makedefs

# notes: storage has to preceed node and node has to preceed cluster
SUBDIRS			=	tools \
				util \
				net \
				storage	 \
				gatherlog \
				node  \
				cluster \
			        clc

.PHONY: all clean distclean build 

all: build

help:
	@echo; echo "Available targets:"
	@echo "   all          this is the default target: it builds eucalyptus"
	@echo "   install      install eucalyptus"
	@echo "   clean        remove objects file and compile by-products"
	@echo "   distclean    restore the source tree to a pristine state"
	@echo 


tags:
	@echo making tags for emacs and vi
	find cluster net node storage tools util -name "*.[chCH]" -print | ctags -L -
	find cluster net node storage tools util -name "*.[chCH]" -print | etags -L -

build: Makedefs 
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done

deploy: build
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done

install: deploy
	@$(INSTALL) -d $(DESTDIR)$(prefix)
	@$(INSTALL) -d $(DESTDIR)$(etcdir)/eucalyptus/cloud.d
	@$(INSTALL) -m 0644 VERSION $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus-version
	@$(INSTALL) -d $(DESTDIR)$(etcdir)/init.d
	@$(INSTALL) -d $(DESTDIR)$(vardir)/run/eucalyptus/net
	@$(INSTALL) -d $(DESTDIR)$(vardir)/lib/eucalyptus/keys
	@$(INSTALL) -d $(DESTDIR)$(vardir)/lib/eucalyptus/CC
	@$(INSTALL) -d $(DESTDIR)$(vardir)/log/eucalyptus
	@$(INSTALL) -d $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -d $(DESTDIR)$(usrdir)/sbin
	@$(INSTALL) -d $(DESTDIR)$(usrdir)/lib/eucalyptus
	@$(INSTALL) -d $(DESTDIR)/etc/bash_completion.d
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done

uninstall:
	@$(RM) -f $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus-version
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done

clean:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done

distclean: clean
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit $$? ; done
	@rm -f config.cache config.log config.status Makedefs tags TAGS
	@# they where part of CLEAN
	@rm -rf lib 

Makedefs: Makedefs.in config.status
	./config.status

config.status: configure
	@if test ! -x ./config.status; then \
		echo "you have to run ./configure!"; exit 1; fi
	./config.status --recheck

# DO NOT DELETE

=== clc/Makefile ===
# Makefile wrapper around ant
#
#
include ../Makedefs

theme_dir	= ${TOP}/clc/modules/www/src/main/java/edu/ucsb/eucalyptus/admin/public/themes
web_prop_dir	= ${TOP}/clc/modules/www/conf

.PHONY: all build update_properties update_theme deps extras install

all: deps build

deps:
	@$(ANT) deps

update_properties: ${web_prop_dir}/eucalyptus-web.properties

${web_prop_dir}/eucalyptus-web.properties: ${web_prop_dir}/eucalyptus-web-default.properties ${TOP}/Makedefs
	@sed "s/\(^extensions =\).*/\1 ${extensions}/" < ${web_prop_dir}/eucalyptus-web-default.properties > ${web_prop_dir}/eucalyptus-web.properties
	@echo "Copied defaults to ${web_prop_dir}/eucalyptus-web.properties"

update_theme:
	@if test -d ${theme_dir}/${euca_theme} ; then \
		if [ "`readlink ${theme_dir}/active`" != "${euca_theme}" ] ; then \
			echo "Making '${euca_theme}' the active theme" ; \
			rm -f ${theme_dir}/active ; \
			ln -sf ${euca_theme} ${theme_dir}/active ; \
		fi \
	else \
		echo "Theme ${theme_dir}/${euca_theme} is not found!"; exit 1; \
	fi \

extras: update_properties
	@if test -n "${euca_theme}" ; then \
		$(MAKE) update_theme; \
	else \
		if [ "`readlink ${theme_dir}/active`" != "eucalyptus" ] ; then \
			echo "Making 'eucalyptus' the active theme" ; \
			rm -f ${theme_dir}/active ; \
			ln -sf eucalyptus ${theme_dir}/active ; \
		fi \
	fi

build: deps extras
	@# we need JAVA_HOME
	@if test -z "${JAVA_HOME}" ; then \
		echo "You need to define JAVA_HOME!"; exit 1; fi
# this causes problems for pbuilder, should be handled by configure and build.xml already 
#	@if test ! -e deps/cloud-lib.tar.gz; then \
#		echo "Cannot find java deps, please run 'make deps' in the 'clc/' subdirectory."; exit 1; fi
	@ANT_OPTS="-Xmx512m" $(ANT) build
	@make -C modules/storage-controller/native
	@make -C modules/bootstrap

clean:
	$(ANT) clean
	make -C modules/bootstrap clean
	make -C modules/storage-controller/native clean

distclean: clean
	$(ANT) distclean
	make -C modules/bootstrap distclean
	make -C modules/storage-controller/native distclean

install: build
	@$(ANT) install
	@make -C modules/storage-controller/native install
	@make -C modules/bootstrap install

deploy: install

uninstall:
	make -C modules/storage-controller/native uninstall
	make -C modules/bootstrap uninstall
	$(RM) -rf $(DESTDIR)$(etcdir)/eucalyptus/cloud.d
	$(RM) -rf $(DESTDIR)$(datarootdir)/eucalyptus/*jar
	$(RM) -rf $(DESTDIR)$(vardir)/eucalyptus/webapps

=== cluster/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl
CCWSDLNAME=eucalyptus_cc.wsdl
CCWSDL=$(WSDLPATH)/$(CCWSDLNAME)
NCWSDLNAME=eucalyptus_nc.wsdl
NCWSDL=$(WSDLPATH)/$(NCWSDLNAME)
SERVICE_SO=libEucalyptusCC.so
SERVICE_NAME=EucalyptusCC
CLIENT=CCclient
CLIENTKILLALL=euca_killall
#WSDL2C=${AXIS2C_HOME}/bin/tools/wsdl2c/WSDL2C.sh
NCLIBS=../util/data.o ../node/client-marshal-adb.o ../util/ipc.o
SCLIBS=../storage/storage.o 
VNLIBS=../net/vnetwork.o ../util/misc.o
WSSECLIBS=../util/euca_axis.o ../util/euca_auth.o
CC_LIBS 	= ${LIBS} -lcurl -lssl -lcrypto -lrampart

all: server client

build: all

generated/stubs: $(CCWSDL) $(NCWSDL)
	rm -rf generated
	mkdir -p generated
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(CCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating NCclient stubs
	sh $(WSDL2C) -uri $(NCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating server stubs
	sh $(WSDL2C) -uri $(CCWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Compiling the stubs
	cd generated; patch -p1 < ../axis2_svc_generated.patch; $(CC) -c $(CFLAGS) $(INCLUDES) *.c
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

$(SERVICE_SO): generated/stubs ../storage/storage.o server-marshal.o handlers.o $(AXIS2C_HOME)/lib/libaxutil.so 
	$(CC) -shared generated/*.o server-marshal.o handlers.o $(SCLIBS) $(NCLIBS) $(VNLIBS) $(WSSECLIBS) $(CC_LIBS) -o $(SERVICE_SO)

client: $(CLIENT)_full $(CLIENTKILLALL)

$(CLIENT)_full: generated/stubs $(CLIENT).c cc-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENT)_full $(CFLAGS) $(INCLUDES) $(CLIENT).c cc-client-marshal-adb.c -DMODE=1 generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o $(WSSECLIBS) $(CC_LIBS) -lssl -lcrypto -lrampart

$(CLIENTKILLALL): generated/stubs $(CLIENT).c cc-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENTKILLALL) $(CFLAGS) $(INCLUDES) $(CLIENT).c cc-client-marshal-adb.c -DMODE=0 generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o $(WSSECLIBS) -lssl -lcrypto -lrampart $(CC_LIBS)

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(CCWSDL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
#no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(CCWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml

#ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(CCWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g" | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > cc-client-policy.xml
##	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	cp cc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -f $(SERVICE_SO) *.o $(CLIENTKILLALL) $(CLIENT)_full *~* *#*

distclean: clean
	rm -rf generated

install: deploy
	@$(INSTALL) -m 0555 $(CLIENTKILLALL) $(DESTDIR)$(sbindir)
	@$(INSTALL) cc-client-policy.xml $(DESTDIR)$(vardir)/lib/eucalyptus/keys/

uninstall:
	@$(RM) -f $(DESTDIR)$(sbindir)/$(CLIENTKILLALL)
	@$(RM) -f $(DESTDIR)$(vardir)/lib/eucalyptus/keys/cc-client-policy.xml
	@$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== gatherlog/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl/
GLWSDLNAME=eucalyptus_gl.wsdl
GLWSDL=$(WSDLPATH)/$(GLWSDLNAME)
SERVICE_SO=libEucalyptusGL.so
SERVICE_NAME=EucalyptusGL
CLIENT=GLclient
#WSDL2C=$(AXIS2C_HOME)/bin/tools/wsdl2c/WSDL2C.sh

all: server client

build: all

generated/stubs: $(GLWSDL)
	rm -rf generated
	mkdir -p generated
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(GLWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Generating server stubs
	sh $(WSDL2C) -uri $(GLWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Compiling the stubs
	cd generated; $(CC) -c $(CFLAGS) $(INCLUDES) -I../../util *.c; cd ..
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

$(SERVICE_SO): generated/stubs gl-client-marshal-adb.o server-marshal.o handlers.o $(AXIS2C_HOME)/lib/libaxutil.so 
	$(CC) -shared generated/*.o server-marshal.o handlers.o $(WSSECLIBS) -L$(AXIS2C_HOME)/lib $(LIBS) ../util/misc.o ../util/euca_auth.o ./gl-client-marshal-adb.o -o $(SERVICE_SO) -lssl -lcrypto

client: $(CLIENT)

$(CLIENT): generated/stubs $(CLIENT).c gl-client-marshal-adb.c handlers.o $(AXIS2C_HOME)/lib/libaxutil.so
	$(CC) -o $(CLIENT) $(CFLAGS) $(INCLUDES) $(CLIENT).c gl-client-marshal-adb.c generated/adb_*.o generated/axis2_stub_*.o  ../util/misc.o ../util/euca_auth.o -DMODE=1 $(LIBS) -lssl -lcrypto

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(GLWSDL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
#no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(GLWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml

#ws-sec
#	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(GLWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
#	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g" | sed "s:CLIENT-CERT:cloud-cert.pem:g" | sed "s:SERVER-CERT:cluster-cert.pem:g" | sed "s:SERVER-KEY:cluster-pk.pem:g" | sed "s:CLIENT-KEY:cloud-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > cc-client-policy.xml
#	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	cp cc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -f $(SERVICE_SO) *.o $(CLIENT) *~* *#*  

distclean:
	rm -rf generated $(SERVICE_SO) *.o $(CLIENT) *~* *#*

install:

uninstall:
	@$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== net/Makefile ===
# Makefile for eucalyptus/net
#
#

include ../Makedefs

all: vnetwork.o

build: all

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

clean:
	rm -rf *~ *.o 

distclean:

install:

deploy:

uninstall:

=== node/Makefile ===
#
#

include ../Makedefs

WSDLPATH=../wsdl/
CCWSDLNAME=eucalyptus_cc.wsdl
CCWSDL=$(WSDLPATH)/$(CCWSDLNAME)
NCWSDLNAME=eucalyptus_nc.wsdl
NCWSDL=$(WSDLPATH)/$(NCWSDLNAME)
SERVICE_SO=libEucalyptusNC.so
SERVICE_NAME=EucalyptusNC
CLIENT=NCclient
#WSDL2C=$(AXIS2C_HOME)/bin/tools/wsdl2c/WSDL2C.sh
NC_LIBS 		= $(LIBS) -lvirt -lcurl -lssl -lcrypto -lrampart
NC_HANDLERS=handlers_xen.o handlers_kvm.o handlers_default.o

all: server client clientlib test_nc test

build: all

generated/stubs: $(NCWSDL)
	@echo Generating server stubs
	rm -rf generated
	mkdir -p generated
	sh $(WSDL2C) -uri $(NCWSDL) -sd -ss -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Adding marshalling calls to server stubs
	../tools/add_marshalling.pl generated/axis2_skel_*.c
	@echo Generating client stubs
	sh $(WSDL2C) -uri $(NCWSDL) -g -d adb -u -uw -f -o generated | grep -v 'the classpath'
	@echo Compiling the stubs
	cd generated; patch -p1 < ../axis2_svc_generated.patch; $(CC) -c $(CFLAGS) $(INCLUDES) *.c
	@echo "this is a cute little makefile marker" >generated/stubs
	@echo Stubs generated.

.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

server: $(SERVICE_SO)

../storage/storage.o: ../storage/storage.c ../util/misc.o ../util/data.o
	make -C ../storage

../storage/walrus.o: ../storage/walrus.c ../util/misc.o ../util/data.o
	make -C ../storage

../net/vnetwork.o: ../net/vnetwork.c
	make -C ../net

../util/misc.o: ../util/misc.c ../util/misc.h ../util/eucalyptus.h
	make -C ../util

../util/data.o: ../util/data.c ../util/data.h ../util/eucalyptus.h
	make -C ../util

../util/euca_auth.o: ../util/euca_auth.c ../util/data.h ../util/eucalyptus.h
	make -C ../util

$(SERVICE_SO): generated/stubs ../storage/storage.o ../storage/walrus.o ../net/vnetwork.o ../util/misc.o ../util/data.o server-marshal.o handlers.o $(NC_HANDLERS) $(AXIS2C_HOME)/lib/libaxutil.so ../util/eucalyptus.h ../util/euca_auth.o
	$(CC) -shared generated/adb_*.o generated/axis2*_skel_*.o server-marshal.o handlers.o $(NC_HANDLERS) ../storage/walrus.o ../storage/storage.o ../net/*.o ../util/*.o $(NC_LIBS) -o $(SERVICE_SO)

clientlib: generated/stubs ../util/data.o client-marshal-adb.o

client: $(CLIENT) $(CLIENT)_local

$(CLIENT): generated/stubs ../util/misc.o ../util/data.o client-marshal-adb.o client-marshal-local.o $(AXIS2C_HOME)/lib/libaxutil.so $(CLIENT).c
	$(CC) -o $(CLIENT) $(CFLAGS) $(INCLUDES) $(CLIENT).c generated/adb_*.o generated/axis2_stub_*.o client-marshal-adb.o ../util/*.o ../storage/storage.o ../storage/walrus.o ../net/*.o $(NC_LIBS) 

$(CLIENT)_local: generated/stubs ../util/misc.o ../util/data.o client-marshal-adb.o client-marshal-local.o handlers.o $(NC_HANDLERS) $(CLIENT).c ../util/euca_auth.o
	$(CC) -o $(CLIENT)_local $(INCLUDES) $(CFLAGS) client-marshal-local.o ../util/*.o ../storage/storage.o ../storage/walrus.o ../net/*.o handlers.o $(NC_HANDLERS) $(CLIENT).c $(NC_LIBS)

test: test.c ../util/misc.o ../util/data.o
	$(CC) $(CFLAGS) $(INCLUDES) $(NC_LIBS) -o test test.c ../util/misc.o ../util/data.o

test_nc: test_nc.c ../util/misc.o
	$(CC) $(CFLAGS) $(INCLUDES) -o test_nc test_nc.c ../util/misc.o $(NC_LIBS) 

deploy:
	$(INSTALL) -d $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/
	$(INSTALL) $(SERVICE_SO) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/

# no ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(NCWSDLNAME) > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml
# ws-sec
	cat generated/services.xml | ../tools/add_wsdllocation.pl $(AXIS2C_SERVICES)/$(SERVICE_NAME)/$(NCWSDLNAME) | ../tools/add_service_policy.pl ../tools/service-policy-template.xml | sed "s:CLIENT-CERT:cluster-cert.pem:g" | sed "s:CLIENT-KEY:cluster-pk.pem:g" | sed "s:SERVER-CERT:node-cert.pem:g" | sed "s:SERVER-KEY:node-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml
	cat ../tools/client-policy-template.xml | sed "s:EUCALYPTUS_HOME:$(EUCALYPTUS):g" | sed "s:AXIS2C_HOME:$(AXIS2C_HOME):g"  | sed "s:CLIENT-CERT:cluster-cert.pem:g" | sed "s:CLIENT-KEY:cluster-pk.pem:g" | sed "s:SERVER-CERT:node-cert.pem:g" | sed "s:SERVER-KEY:node-pk.pem:g" | sed "s:CLIENT-USERNAME:eucalyptus:g" > nc-client-policy.xml
#	cp nc-client-policy.xml $(EUCALYPTUS)/var/lib/eucalyptus/keys/
##	cp ../tools/*.pem $(EUCALYPTUS)/var/lib/eucalyptus/keys/
#	chmod -R 0600 $(EUCALYPTUS)/var/lib/eucalyptus/keys/*
# ws
	$(INSTALL) $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_WS.xml $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml
# no ws
#	cp $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services_noWS.xml $(AXIS2C_SERVICES)/$(SERVICE_NAME)/services.xml

clean:
	rm -rf $(SERVICE_SO) *.o $(CLIENT) $(CLIENT)_local *~* *#*

distclean:
	rm -rf generated $(SERVICE_SO) *.o $(CLIENT) $(CLIENT)_local *~* *#*

install: deploy
	$(INSTALL) nc-client-policy.xml $(DESTDIR)$(vardir)/lib/eucalyptus/keys/
	$(INSTALL) -m 0755 test_nc $(DESTDIR)$(sbindir)/euca_test_nc

uninstall:
	$(RM) -f $(DESTDIR)$(vardir)/lib/eucalyptus/keys/nc-client-policy.xml
	$(RM) -f $(DESTDIR)$(sbindir)/euca_test_nc
	$(RM) -rf $(DESTDIR)$(AXIS2C_SERVICES)/$(SERVICE_NAME)

=== storage/Makefile ===
# Makefile for eucalyptus/storage
#
#

include ../Makedefs

STORAGE_LIBS = ${LIBS} -lcurl -lssl -lcrypto

all: storage.o walrus.o Wclient

build: all

Wclient: Makefile Wclient.c ../util/euca_auth.o ../util/misc.o walrus.o
	$(CC) $(CFLAGS) $(INCLUDES) Wclient.c -o Wclient ../util/euca_auth.o ../util/misc.o walrus.o $(STORAGE_LIBS)

walrus.o: walrus.c walrus.h
	$(CC) $(CFLAGS) $(INCLUDES) -c walrus.c 

test: test.c storage.h storage.o ../util/misc.o ../util/data.o ../util/ipc.o ../util/euca_auth.o walrus.o
	$(CC) $(CFLAGS) $(INCLUDES) test.c storage.o ../util/misc.o ../util/data.o ../util/ipc.o ../util/euca_auth.o walrus.o $(STORAGE_LIBS) -o test

.c.o: 
	$(CC) -c $(CFLAGS) $(INCLUDES) $<

../util/ipc.o: ../util/ipc.c ../util/ipc.h ../util/eucalyptus.h
	make -C ../util

../util/misc.o: ../util/misc.c ../util/misc.h ../util/eucalyptus.h
	make -C ../util

../util/data.o: ../util/data.c ../util/data.h ../util/eucalyptus.h
	make -C ../util

../net/vnetwork.o: ../net/vnetwork.c
	make -C ../net

../util/euca_auth.o: ../util/euca_auth.c ../util/euca_auth.h
	make -C ../util

clean:
	rm -rf *~ *.o Wclient

distclean:

install:

deploy:

uninstall:

=== tools/Makefile ===
# Makefile for eucalyptus/tools
#
#

include ../Makedefs

all:

build: all

deploy:

clean:
	$(RM) -f *~ *.o

distclean:
	@echo "removing generated files scripts ..."
	@rm -rf eucalyptus eucalyptus-cloud eucalyptus-walrus eucalyptus-sc

install: build
	@if test -e /etc/init.d/eucalyptus ; then \
		mv /etc/init.d/eucalyptus /etc/init.d/eucalyptus.old ; \
		echo "Moving away old init.d script"; fi
	@if test -e $(DESTDIR)$(etcdir)/init.d/eucalyptus ; then \
		mv $(DESTDIR)$(etcdir)/init.d/eucalyptus $(DESTDIR)$(etcdir)/init.d/eucalyptus.old ; fi
	@$(INSTALL) -m 755 eucalyptus-cloud $(DESTDIR)$(etcdir)/init.d
	@$(INSTALL) -m 755 eucalyptus-nc $(DESTDIR)$(etcdir)/init.d
	@$(INSTALL) -m 755 eucalyptus-cc $(DESTDIR)$(etcdir)/init.d
	@$(INSTALL) -m 644 httpd.conf $(DESTDIR)$(etcdir)/eucalyptus
	@if test -e $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus.conf ; then \
		cp $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus.conf $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus.conf.old ; fi
	@$(INSTALL) -m 644 eucalyptus.conf $(DESTDIR)$(etcdir)/eucalyptus
	@$(INSTALL) -m 644 vtunall.conf.template $(DESTDIR)$(etcdir)/eucalyptus
	@$(INSTALL) -m 755 add_key.pl $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 gen_libvirt_xml $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 gen_kvm_libvirt_xml $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 detach.pl $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 partition2disk $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 get_xen_info $(DESTDIR)$(datarootdir)/eucalyptus/get_xen_info
	@$(INSTALL) -m 755 get_sys_info $(DESTDIR)$(datarootdir)/eucalyptus/get_sys_info
	@$(INSTALL) -m 755 euca_ipt $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 euca_upgrade $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 populate_arp.pl $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 euca_conf $(DESTDIR)$(sbindir)
	-$(INSTALL) -m 755 euca_conf.complete $(DESTDIR)/etc/bash_completion.d/euca_conf
	@$(INSTALL) -m 755 euca_sync_key $(DESTDIR)$(sbindir)
	@$(INSTALL) -m 755 connect_iscsitarget.pl $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 disconnect_iscsitarget.pl $(DESTDIR)$(datarootdir)/eucalyptus
	@$(INSTALL) -m 755 get_iscsitarget.pl $(DESTDIR)$(datarootdir)/eucalyptus

uninstall: 
	@$(RM) -f $(DESTDIR)$(etcdir)/init.d/eucalyptus-cloud
	@$(RM) -f $(DESTDIR)$(etcdir)/init.d/eucalyptus-nc
	@$(RM) -f $(DESTDIR)$(etcdir)/init.d/eucalyptus-cc
	@$(RM) -f $(DESTDIR)$(etcdir)/eucalyptus/httpd*
	@$(RM) -f $(DESTDIR)$(etcdir)/eucalyptus/eucalyptus.conf
	@$(RM) -f $(DESTDIR)$(etcdir)/eucalyptus/vtunall.conf.template
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/add_key.pl
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/gen_libvirt_xml
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/gen_kvm_libvirt_xml
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/detach.pl
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/partition2disk
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/get_xen_info
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/get_sys_info
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/euca_ipt
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/euca_upgrade
	@$(RM) -f $(DESTDIR)$(datarootdir)/eucalyptus/populate_arp.pl
	@$(RM) -f $(DESTDIR)$(sbindir)/euca_conf
	@$(RM) -f $(DESTDIR)/etc/bash_completion.d/euca_conf
	@$(RM) -f $(DESTDIR)$(sbindir)/euca_sync_key

=== util/Makefile ===
# Makefile for eucalyptus/util
# 
#

include ../Makedefs

all: misc.o data.o euca_auth.o euca_axis.o ipc.o euca_rootwrap euca_mountwrap

build: all 

euca_rootwrap: euca_rootwrap.c
	$(CC) $(CFLAGS) $(INCLUDES) -o euca_rootwrap euca_rootwrap.c

euca_mountwrap: euca_mountwrap.c
	$(CC) $(CFLAGS) $(INCLUDES) -o euca_mountwrap euca_mountwrap.c

test: test.c ipc.o misc.o
	$(CC) $(CFLAGS) $(INCLUDES) -o test test.c ipc.o misc.o data.o -lpthread $(LIBS)

.c.o: $@
	$(CC) -c -std=gnu99 $(CFLAGS) $(INCLUDES) $<

clean:
	rm -rf *~ *.o test euca_rootwrap euca_mountwrap

distclean:
	rm -rf config.h

install:
	@$(INSTALL) -m 0755 euca_rootwrap $(DESTDIR)$(usrdir)/lib/eucalyptus/
	@$(INSTALL) -m 0755 euca_mountwrap $(DESTDIR)$(usrdir)/lib/eucalyptus/

deploy:

uninstall:
	@$(RM) -f $(DESTDIR)$(usrdir)/lib/eucalyptus/euca_rootwrap
	@$(RM) -f $(DESTDIR)$(usrdir)/lib/eucalyptus/euca_mountwrap

=== clc/modules/bootstrap/Makefile ===
###############################################################################
#  Copyright (c) 2009  Eucalyptus Systems, Inc.
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, only version 3 of the License.
#
#
#  This file is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#  for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  Please contact Eucalyptus Systems, Inc., 130 Castilian
#  Dr., Goleta, CA 93101 USA or visit <http://www.eucalyptus.com/licenses/>
#  if you need additional information or have any questions.
#
###############################################################################
#  Author: Chris Grzegorczyk grze@eucalyptus.com
###############################################################################
include ../../../Makedefs
CC = gcc
CFLAGS = -g -O2 -DOS_LINUX -DDSO_DLFCN \
		 -I$(JAVA_HOME)/include \
		 -I$(JAVA_HOME)/include/linux \
		 -I../../../util \
		 -Wall -Wstrict-prototypes
LDFLAGS =  -ldl -lpthread
JAVACFLAGS = 
RANLIB = ranlib
LDCMD = gcc

OBJS =  eucalyptus-bootstrap.o eucalyptus-opts.o
all: eucalyptus-cloud
build: eucalyptus-cloud
.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

eucalyptus-cloud: $(OBJS)
	$(LDCMD) $(OBJS) -o eucalyptus-cloud $(LDFLAGS)

ggo:
	gengetopt --input=arguments.ggo --file-name=eucalyptus-opts --func-name=arguments --arg-struct-name=eucalyptus_opts

install: eucalyptus-cloud
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL) -m 0755 eucalyptus-cloud $(DESTDIR)$(sbindir)/eucalyptus-cloud

clean:
	@$(RM) -f $(OBJS) eucalyptus-cloud

distclean: clean

uninstall:
	@$(RM) -f $(DESTDIR)$(sbindir)/eucalyptus-cloud

=== clc/modules/storage-controller/native/Makefile ===
LIBDIR=../lib
LVM2_SO=liblvm2control.so
PLATFORM=linux
CFLAGS=-g -fpic -I $(JAVA_HOME)/include -I $(JAVA_HOME)/include/$(PLATFORM) -I. -I../include
WARN=-Wall -Wno-unused-variable

.PHONY: all clean install

all: $(LIBDIR)/$(LVM2_SO) 

.c.o:
	gcc -c $(WARN) $(CFLAGS) $<

$(LIBDIR)/$(LVM2_SO): 
	mkdir -p $(LIBDIR)
	gcc -shared $(CFLAGS) -o $(LIBDIR)/$(LVM2_SO) *.c

clean:
	rm -rf $(LIBDIR)
	rm -f $(LVM2_SO) *.o *~* *#*  

distclean: clean

install:
	mkdir -p $(DESTDIR)$(EUCALYPTUS)/usr/lib/eucalyptus/
	cp $(LIBDIR)/$(LVM2_SO) $(DESTDIR)$(EUCALYPTUS)/usr/lib/eucalyptus/

uninstall:
	rm -r $(DESTDIR)$(EUCALYPTUS)/usr/lib/eucalyptus/$(LVM2_SO)

=== debian/changelog ===
eucalyptus (2.0.1+bzr1256-0ubuntu8) oneiric; urgency=low

  * Fix compatibility issues with SSLv3 (LP: #851611):
    - d/patches/29-euca_conf-sslv3.patch: Use --secure-protocol=SSLv3
      with wget when communicating with CLC.
    - d/eucalyptus-cloud.upstart: Use --secure-protocol=SSLv3 with wget
      when checking for CLC startup complete.
  * d/patches/30-clock_drift.patch: Resolve issue with rampart blocking 
    communication between CC and NC when time is fractionally in the
    future (LP: #854946):

 -- James Page <james.page@ubuntu.com>  Wed, 21 Sep 2011 09:57:58 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu7) oneiric; urgency=low

  * d/patches/28-fix-startup-crash.patch: Fix from Graziano Obertelli
    for startup crash. (LP: #791607)

 -- Clint Byrum <clint@ubuntu.com>  Thu, 15 Sep 2011 13:35:03 -0700

eucalyptus (2.0.1+bzr1256-0ubuntu6) oneiric; urgency=low

  [ Dave Walker ]
  * SECURITY UPDATE: SOAP signature replay vulnerability.
    - add debian/patches/27-soap-security.patch, thanks to upstream.
    - CVE-2011-0730
    - LP: #746101

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 26 May 2011 10:21:56 -0500

eucalyptus (2.0.1+bzr1256-0ubuntu5) oneiric; urgency=low

  * Fix FTBFS against libgoogle-collections-java 1.0 (LP: #784491). 
    - debian/patches/26-google-collections-1.0-ftbfs.patch: refactoring
      to use 1.0 API.
  * Fix libjibx-java to version 1.1 to allow entry of libjibx1.2-java 
    into universe without breaking eucalyptus:
    - debian/eucalyptus-java-common.links: use jibx-*-1.1.jar.
    - debian/build-jars: use jibx-*-1.1.jar.
    - debian/control: use libjibx1.1-java instead of libjibx-java.

 -- James Page <james.page@canonical.com>  Wed, 18 May 2011 10:46:58 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu4) natty; urgency=low

  * debian/eucalyptus-network.upstart:  Added env IFACE=manual-start, 
    resolving install and upgrade issue.  (LP: #754699)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 08 Apr 2011 15:57:16 +0100

eucalyptus (2.0.1+bzr1256-0ubuntu3) natty; urgency=low

  * Separate admin tools from eucalyptus-common package(LP: #732082)
    - debian/control:
      + Add eucalyptus-admin-tools binary package.
      + Add missing Depends on python-psutil. (LP: #731672)
      + eucalyptus-cloud: Depends on eucalyptus-admin-tools.
    - debian/eucalyptus-admin-tools.install: Added.
    - debian/eucalyptus-common.install: Drop installation of admin tools.
  * Switch to dh_python2 instead of python-central.
    - debian/control. Bump Depends on cdbs to (>= 0.4.90~); bump depends on
      python to (>= 2.6.6-3).
  * Add powernap configs to leverage recent PowerNap changes (LP: #726769):
    - debian/powernap/eucalyptus.conf: Add config.
    - debian/eucalyptus-nc.install: Install config.
    - debian/eucalyptus-nc.links: Symlink to /etc/powernap/config.d/.
  * debian/control: Change Recommends order of bittorrent to bittornado
    first. Allows demontion of bittorrent. (LP: #697753)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 17 Mar 2011 15:23:36 -0400

eucalyptus (2.0.1+bzr1256-0ubuntu2) natty; urgency=low

  [ Andres Rodriguez ]
  * debian/control: Add missing Dep on python-boto for eucalyptus-common.
  * Fix packaging to correctly install missing python modules. (LP: #615442)
    - debian/control: Add Depends on python-central, python; Add related 
      python control rules.
    - debian/rules: Add dh_pycentral rule for eucalyptus-common
    - debian/eucalyptus-comman.install: Install euca_admin into correct dir.

  [ Dave Walker (Daviey) ]
  * debian/changelog: Fixed history from last upload which dropped 
    2.0.1+bzr1255-0ubuntu1.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 04 Mar 2011 17:25:04 -0500

eucalyptus (2.0.1+bzr1256-0ubuntu1) natty; urgency=low

  * New upstream snapshot of minor point release, 2.0.1 (r1256).
    - Fixes node controller memory leak. (LP: #523211)
    - Rearrange of linker options for libEucalyptusNC.so. (LP: #724470)
  * debian/patches/*: Refreshed patches

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 01 Mar 2011 12:17:35 +0000

eucalyptus (2.0.1+bzr1255-0ubuntu1) natty; urgency=low

  [ Dave Walker (Daviey) ]
  * New upstream snapshot of minor point release, 2.0.1 (r1255).
    - Fixes FTBFS, (LP: #687970)
    - Stop unauthenticated users being able to reset user password. (LP: #675372).
  * Switch from dhcp3-server to isc-dhcp-server as the new default. (LP: #711590)
    - debian/:
      + control: eucalyptus-cc, drop Recommends on dhcp3-server and add
        isc-dhcp-server as the new default.
      + eucalyptus.conf: Use different dhcpd binary name.
      + patches/{18-priv_security.patch|08-ubuntu-default-networking.patch},
        updated rootwrap to use different dhpcd binary.
  * Refreshed 06-UEC-webinterface.patch, dropping hunks now applied upstream.
  * Updated standards version to 3.9.1, no changes required.
  * debian/control: Updated VCS location.
  * debian/source/include-binaries: Included newer favicon, overiding shipped.
  * debian/{local/registration}/Makefile: Introduced a stanza for, for
    re-arranging of Linker flags, resolving FTBFS. Added -Wall.
  * debian/*: The binary resulting jars have been updated from *-2.0.0 to
    *-2.0.1.  References updated as appropriate.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 15 Feb 2011 10:16:03 +0000

=== debian/control ===
Source: eucalyptus
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 ant,
 ant-optional,
 cdbs (>= 0.4.90~),
 debhelper (>= 7),
 default-jdk,
 groovy (>= 1.7),
 junit,
 libantlr-java,
 libavahi-core-dev (>= 0.6.27-2ubuntu2),
 libavahi-client-dev (>= 0.6.27-2ubuntu2),
 libaxiom-java,
 libaxis2c-dev,
 libbackport-util-concurrent-java,
 libbcprov-java,
 libcap-dev,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-pool-java (>= 1.4),
 libcurl4-gnutls-dev,
 libdebian-installer-dev,
 libdnsjava-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-dev-java,
 libgwt-user-java,
 libhsqldb-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx1.1-java (>= 1.1.6a),
 libjson-java,
 liblog4j1.2-java,
 libnetty-java,
 librampart-dev (>=1.3.0-0ubuntu6),
 libservlet2.5-java,
 libssl-dev,
 libvirt-dev,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 pkg-config,
 quilt,
 zlib1g-dev,
 libjavassist-java,
 libjetty-extra-java,
 python (>= 2.6.6-3)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://open.eucalyptus.com/
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-virt/ubuntu/natty/eucalyptus/natty/revision/1120

Package: eucalyptus-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 openssh-server (>= 1:5.2p1-1ubuntu1),
 openssh-client,
 avahi-utils
Recommends:
 unzip,
 munin-node
Description: Elastic Utility Computing Architecture - Common files
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the common parts: you will need to install either
 eucalyptus-cloud, eucalyptus-cc or eucalyptus-nc (or all of them).

Package: eucalyptus-admin-tools
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends},
 ${misc:Depends},
 python-boto,
 python-psutil
Conflicts: eucalyptus-common (<= 2.0.1+bzr1256-0ubuntu2)
Replaces: eucalyptus-common (<= 2.0.1+bzr1256-0ubuntu2)
Description: Elastic Utility Computing Architecture - Admin tools
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the eucalyptus admin tools.

Package: eucalyptus-sc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common,
 tgt
Recommends:
 open-iscsi,
 munin
Suggests: aoetools
Description: Elastic Utility Computing Architecture - Storage controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the storage controller part of eucalyptus.

Package: eucalyptus-cloud
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 uec-component-listener,
 eucalyptus-java-common,
 eucalyptus-admin-tools
Recommends:
 python-image-store-proxy,
 postfix | mail-transport-agent,
 munin
Replaces:
 eucalyptus-cc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-sc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-walrus (<= 1.6~bzr919-0ubuntu3)
Description: Elastic Utility Computing Architecture - Cloud controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cloud controller part of eucalyptus.

Package: eucalyptus-walrus
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common
Recommends:
 munin-node,
 bittornado | bittorrent
Description: Elastic Utility Computing Architecture - Walrus (S3)
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains Walrus, the S3 part of eucalyptus.

Package: eucalyptus-java-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 antlr3,
 default-jre-headless | java5-runtime-headless,
 dmsetup,
 eucalyptus-common,
 groovy (>= 1.7),
 janino,
 junit,
 libantlr-java,
 libasm3-java,
 libaxiom-java,
 libbackport-util-concurrent-java,
 libbcel-java,
 libbcprov-java,
 libbsf-java,
 libc3p0-java,
 libcglib-java,
 libcommons-beanutils-java,
 libcommons-cli-java,
 libcommons-codec-java,
 libcommons-collections3-java,
 libcommons-discovery-java,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-jxpath-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-pool-java (>= 1.4),
 libdnsjava-java,
 libdom4j-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libexcalibur-logkit-java,
 libezmorph-java,
 libgeronimo-ejb-3.0-spec-java,
 libgeronimo-interceptor-3.0-spec-java,
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jacc-1.1-spec-java,
 libgeronimo-jms-1.1-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgeronimo-jta-1.0.1b-spec-java,
 libgnujaf-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-user-java,
 libhsqldb-java,
 libjavassist-java,
 libjaxen-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx1.1-java (>= 1.1.6a),
 libjson-java,
 libjug-java,
 liblog4j1.2-java,
 libmvel-java,
 libnetty-java,
 libproxool-java,
 libregexp-java,
 libservlet2.5-java,
 libslf4j-java,
 libwoodstox-java,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 libxom-java,
 libxpp3-java,
 lvm2,
 openssh-server,
 vblade,
 libjetty-extra-java
Replaces:
 eucalyptus-javadeps,
 eucalyptus-cloud (<= 1.6.2~bzr1120-0ubuntu2),
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Common Java package
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains everything the java based packages share.

Package: eucalyptus-cc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2,
 libapache2-mod-axis2c,
 eucalyptus-gl,
 uec-component-listener,
 wget
Recommends:
 bridge-utils,
 vlan,
 powerwake,
 isc-dhcp-server,
 libpam-modules (>= 1.0.1-9ubuntu3)
Suggests: vtun
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Cluster controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cluster controller part of eucalyptus.

Package: eucalyptus-nc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2-mpm-worker | apache2-mpm-prefork,
 libvirt-bin (>= 0.8.3-1ubuntu7),
 libapache2-mod-axis2c,
 eucalyptus-gl,
 adduser,
 iptables,
 xorriso
Suggests: aoetools
Recommends:
 qemu-kvm,
 vlan,
 bridge-utils,
 powernap,
 open-iscsi,
 libcrypt-openssl-random-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-openssl-x509-perl
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Node controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the node controller part of eucalyptus.

Package: eucalyptus-gl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Logging service
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the internal log service of eucalyptus.

Package: uec-component-listener
Architecture: any
Depends:
 eucalyptus-common,
 avahi-daemon,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ubuntu Enterprise Cloud - Component listener
 This package contains the component listener that is used to automatically
 register new UEC components.

Package: eucalyptus-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 configured-network,
 wget-udeb
# after netcfg
XB-Installer-Menu-Item: 1850
Description: Elastic Utility Computing Architecture - installer integration
